function [IR,code,compror] = AOIR(trn,sfx,lrs)
%This function compresses AO and calculates its IR

%Create Compror Representation
[code,compror]=encode(sfx,lrs); 
    
%Calculate Information Rate from Compror
IR = [];
C0 = log2(length(cell2mat(trn(1))));
N = length(lrs); %equal to length of the original sequence
M = max(lrs);
C1 = log2(N)+log2(M);
for i = 2:length(compror),
    L = compror(i)-compror(i-1);
    IR(compror(i-1):compror(i)) = max(C0 - C1/L,0);
end
